=== debian/changelog ===
pytables (3.7.0-5) unstable; urgency=medium

  * debian/patches:
    - fix compatibility with numpy >= 1.22 (Closes: #1026604).
      See also https://github.com/PyTables/PyTables/issues/934.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 20 Dec 2022 21:15:54 +0000

pytables (3.7.0-4) unstable; urgency=medium

  * debian/copyright:
    - Fix formatting
    - Update copyright date
  * debian/tests:
    - autopkgtests all supported Python versions.
  * Fix lintian overrides.
  * debian/control:
    - add build-dependency on pybuild-plugin-pyproject.
  * Standards version bumped to 4.6.1 (no changes).
  * Update debian/*.install files.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 15 Oct 2022 10:44:26 +0000

pytables (3.7.0-3) unstable; urgency=medium

  * Fix documentation build (Closes: #1009459).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 14 Apr 2022 06:39:28 +0000

pytables (3.7.0-2) unstable; urgency=medium

  * debian/python3-tables.links
    - add missing link to data file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 30 Dec 2021 11:14:17 +0000

pytables (3.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Cleanup of d/python3-tables.lintian-overrides.
  * Update d/copyright.
  * debian/patches:
    - drop 0002-Never-use-the-msse2-flag-explicitly.patch,
      0006-Fix-pttree.patch, 0007-Fix-syntax-warnings.patch,
      0008-Fix-the-interpreter-name-in-examples.patch,
      0009-Fix-unittests-on-vlarrays.patch,
      0010-Use-lowercase-float-int-as-numpy-dtype.patch,
      0011-doctest-adjust-__init__-TypeError-formatting.patch,
      applied upstream
    - refresh and renumber remaining patches.
  * debian/control:
    - update dependencies (add python3-packaging and remove
      python3-six).
  * debian/rules:
    - disable SSE2 via environment variable
    - clean build rule
    - improve the test rule.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 29 Dec 2021 22:51:43 +0000

pytables (3.6.1-6) unstable; urgency=medium

  [ Stefano Rivera ]
  * Handle Python 3.10 in the Sphinx build, missed in 5.1.

  [ Antonio Valentino ]
  * Update d/python3-tables.lintian-overrides.
  * Update d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 26 Nov 2021 08:12:25 +0000

pytables (3.6.1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch: Fix FTBFS with numpy >= 1.20 (Closes: #999538)
  * Patch: Fix FTBFS with Python 3.10.
  * Install Python 3.10 C Extensions (2-digit minor version).

 -- Stefano Rivera <stefanor@debian.org>  Sat, 20 Nov 2021 23:32:58 -0400

pytables (3.6.1-5) unstable; urgency=medium

  * debian/control:
    - explicitly depende on tex-gyre (fix build on mips*).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 28 Sep 2021 06:05:13 +0000

pytables (3.6.1-4) unstable; urgency=medium

  * Standards version bumped to 4.6.0 (no changes).
  * debian/control:
    - drop unnecessary greater-than versioned dependency form
      python-tables-doc
    - drop unnecessary Breaks/Replaces fileds for version 3.4.2-1
      (oldstable has 3.4.4-2)
  * debian/patches:
    - new 0009-Fix-unittests-on-vlarrays.patch, see
      0009-Fix-unittests-on-vlarrays.patch.
  * Drop python3-tables-dbg (Closes: #994343).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 26 Sep 2021 08:08:53 +0000

pytables (3.6.1-3) unstable; urgency=medium

  * Add lintian-overrides for maintainer-manual-page.
    Manual pages already forwarded upstream.
  * Add lintian-overrides for breakout-link.
  * Update mismatching lintian overrides.
  * Add Forwarded field to all patches.
  * Standards-Version bumped to 4.5.1, no change needed.
  * Update watch file format version to 4.
  * debian/patches:
    - new 0008-Fix-the-interpreter-name-in-examples.patch
  * Add .gitlab-ci.yml.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 08 Dec 2020 09:02:17 +0000
