=== debian/tests/control ===
Tests: python3
Depends: python3-tables, python3-all
