=== requirements.txt ===
# Runtime dependencies for ``pip install``.
# Keep list in sync with ``project.dependencies`` in ``pyproject.toml``.
numpy>=1.19.0
numexpr>=2.6.2
packaging
py-cpuinfo
blosc2>=2.3.0
