=== debian/changelog ===
pytables (3.9.2-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:27:33 +1100

pytables (3.9.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:21:41 +1100

pytables (3.9.2-1build1) noble; urgency=medium

  * No-change rebuild against libhdf5-103-1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 18:04:16 +0000

pytables (3.9.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Drop pathces applied upstream:
      0005-Fix-compatibility-with-numpy-1.22.patch,
      0006-Compatibility-with-sphinx-7.1.patch,
      0007-Compatibility-with-numexpr-v2.8.5.patch,
      0008-Python-3.12-compat.patch,
      and 0009-Numpy-v1.25-compat.patch.
    - Refresh remaining patches.
  * debian/control:
    - Build-depend on c-blosc2-dev.
    - Add dependency on python3-cpuinfo.
    - Versioned dependency on numexpt (>= 2.8.7).
  * Update d/copyright.
  * Update d/python3-tables.links.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 30 Dec 2023 18:26:59 +0000

pytables (3.7.0-10) unstable; urgency=medium

  * debian/patches:
    - New 0008-Python-3.12-compat.patch and 0009-Numpy-v1.25-compat.patch.
      Closes: #1055579.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 12 Nov 2023 09:40:05 +0000

pytables (3.7.0-9) unstable; urgency=medium

  * debian/rules:
    - Clean .pyc files after documentation build (Closes: #1050176).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 21 Aug 2023 19:57:21 +0000

pytables (3.7.0-8) unstable; urgency=medium

  * debian/patches:
    - Update d/patches/0007-Compatibility-with-numexpr-v2.8.5.patch
      to make it comatible again with numexpr < v2.8.5.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 18 Aug 2023 13:16:16 +0000

pytables (3.7.0-7) unstable; urgency=medium

  * debian/patches:
    - New d/patches/0007-Compatibility-with-numexpr-v2.8.5.patch.
  * debian/control:
    - Use the <!nodoc> marker.
    - Update package description.
  * Switch to dh-sequence-*.
  * Switch to autopkgtest-pkg-pybuild and drop the no longer
    needed d/tests folder.
  * New d/clean file.
  * debian/rules:
    - Switch to execute_after_* targets.
    - Improve/simplify doc build.
  * Update d/python3-tables.lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 17 Aug 2023 17:30:13 +0000

pytables (3.7.0-6) unstable; urgency=medium

  * Dump debhelper compat to 13.
  * Standards version bumped to 4.6.2 (no changes).
  * debian/patches:
    - new 0006-Compatibility-with-sphinx-7.1.patch (Closes: #1042691).
  * Use dh-sequence-numpy3.
  * No longer build PDF documentation.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 05 Aug 2023 14:58:29 +0000
