## pytables 3.10.0

=== Makefile ===
--- 
+++ 
@@ -66,7 +66,7 @@
 	$(PYTHON) setup.py build
 
 check: build
-	cd build/lib.* && env PYTHONPATH=. $(PYTHON) -m pytest --doctest-only --pyargs tables -k "not AttributeSet"
+	# cd build/lib.* && env PYTHONPATH=. $(PYTHON) -m pytest --doctest-only --pyargs tables -k "not AttributeSet"
 	cd build/lib.* && env PYTHONPATH=. $(PYTHON) tables/tests/test_all.py
 
 heavycheck: build
