=== debian/changelog ===
pytables (3.10.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.
  * Standards version bumped to 4.7.0, no changes.
  * debian/control:
    - Add dependency on python3-typing-extension.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 14 Aug 2024 13:54:14 +0000

pytables (3.9.2-2) unstable; urgency=medium

  * debian/patches:
    - New 0005-No-python-blosc2.patch (Closes: #1065120).
  * Update dates in d/copyright.
  * Set upstream metadata fields: Security-Contact.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 07 Apr 2024 06:58:48 +0000
