## pytables 3.10.1

=== debian/changelog ===
pytables (3.10.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.
    - New 0006-Build-with-numpy-1.x.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 18 Aug 2024 10:04:32 +0000
